AmCharts.addInitHandler( function( chart ) {
    var _this = chart.export;
    var toExcel = _this.toExcel;

    _this.toExcel = function( options, callback ) {
        var cfg = _this.deepMerge( {
              name: "amCharts",
              dateFormat: _this.config.dateFormat || "dateObject",
              SheetNames: [],
              Sheets: {},
              withHeader: true,
              stringify: false,
            }, options || {}, true );

        data = cfg.data ? cfg.data : _this.getChartData( cfg );
        if ( _this.config.postDataProcessor instanceof Function ) {
          data = _this.config.postDataProcessor( "ARRAY", data );
        }

        if(cfg.dataHandler instanceof Function){
            cfg.data = cfg.dataHandler(data);
        }

        return _this.toXLSX(cfg, callback);
    }
});
